
#ifndef KPEOPLEBACKEND_EXPORT_H
#define KPEOPLEBACKEND_EXPORT_H

#ifdef KPEOPLEBACKEND_STATIC_DEFINE
#  define KPEOPLEBACKEND_EXPORT
#  define KPEOPLEBACKEND_NO_EXPORT
#else
#  ifndef KPEOPLEBACKEND_EXPORT
#    ifdef KF6PeopleBackend_EXPORTS
        /* We are building this library */
#      define KPEOPLEBACKEND_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KPEOPLEBACKEND_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KPEOPLEBACKEND_NO_EXPORT
#    define KPEOPLEBACKEND_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KPEOPLEBACKEND_DECL_DEPRECATED
#  define KPEOPLEBACKEND_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KPEOPLEBACKEND_DECL_DEPRECATED_EXPORT
#  define KPEOPLEBACKEND_DECL_DEPRECATED_EXPORT KPEOPLEBACKEND_EXPORT KPEOPLEBACKEND_DECL_DEPRECATED
#endif

#ifndef KPEOPLEBACKEND_DECL_DEPRECATED_NO_EXPORT
#  define KPEOPLEBACKEND_DECL_DEPRECATED_NO_EXPORT KPEOPLEBACKEND_NO_EXPORT KPEOPLEBACKEND_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KPEOPLEBACKEND_NO_DEPRECATED
#    define KPEOPLEBACKEND_NO_DEPRECATED
#  endif
#endif
#include <kpeople_version.h>

#define KPEOPLEBACKEND_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KPEOPLEBACKEND_NO_DEPRECATED) && !defined(KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KPEOPLEBACKEND_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KPEOPLEBACKEND_NO_DEPRECATED_WARNINGS) && !defined(KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KPEOPLEBACKEND_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KPEOPLEBACKEND_NO_DEPRECATED)
#  undef KPEOPLEBACKEND_DEPRECATED
#  define KPEOPLEBACKEND_DEPRECATED_EXPORT KPEOPLEBACKEND_EXPORT
#  define KPEOPLEBACKEND_DEPRECATED_NO_EXPORT KPEOPLEBACKEND_NO_EXPORT
#elif defined(KPEOPLEBACKEND_NO_DEPRECATED_WARNINGS)
#  define KPEOPLEBACKEND_DEPRECATED
#  define KPEOPLEBACKEND_DEPRECATED_EXPORT KPEOPLEBACKEND_EXPORT
#  define KPEOPLEBACKEND_DEPRECATED_NO_EXPORT KPEOPLEBACKEND_NO_EXPORT
#else
#  define KPEOPLEBACKEND_DEPRECATED KPEOPLEBACKEND_DECL_DEPRECATED
#  define KPEOPLEBACKEND_DEPRECATED_EXPORT KPEOPLEBACKEND_DECL_DEPRECATED_EXPORT
#  define KPEOPLEBACKEND_DEPRECATED_NO_EXPORT KPEOPLEBACKEND_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KPEOPLEBACKEND_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KPEOPLEBACKEND_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KPEOPLEBACKEND_NO_DEPRECATED
#  define KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT KPEOPLE_VERSION
#endif
#ifdef KPEOPLEBACKEND_NO_DEPRECATED_WARNINGS
#  define KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE
#  ifdef KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KPEOPLEBACKEND_DEPRECATED_WARNINGS_SINCE KPEOPLE_VERSION
#  endif
#endif

#ifndef KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KPEOPLEBACKEND_DEPRECATED
#  define KPEOPLEBACKEND_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KPEOPLEBACKEND_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KPEOPLEBACKEND_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KPEOPLEBACKEND_EXPORT_H */
